#include "BlockSource.h"

auto BlockSource::getBlock(glm::ivec3* pos) -> Block* {
	static auto func = reinterpret_cast<Block * (__thiscall*)(void*, glm::ivec3*)>((*reinterpret_cast<void***>(this))[2]);
	return func(this, pos);
}

auto BlockSource::getDimension() -> Dimension* {
	return *reinterpret_cast<Dimension**>((uintptr_t)this + 0x30);
}
